<?php

declare(strict_types=1);

namespace KimaAI\Ai\Providers\Contracts;

use KimaAI\Ai\Providers\DTO\EmbeddingRequest;
use KimaAI\Ai\Providers\DTO\EmbeddingResponse;

interface EmbeddingClientInterface {
  public function createEmbedding(EmbeddingRequest $request): EmbeddingResponse;
}
